"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetResourceMetrics_1 = require("../model/operations/GetResourceMetrics");
var GetResourceMetricsCommand = /** @class */ (function () {
    function GetResourceMetricsCommand(input) {
        this.input = input;
        this.model = GetResourceMetrics_1.GetResourceMetrics;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetResourceMetricsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetResourceMetricsCommand;
}());
exports.GetResourceMetricsCommand = GetResourceMetricsCommand;
//# sourceMappingURL=GetResourceMetricsCommand.js.map